mattintosh note

Hello Raspberry Pi!

MacPorts で gtkmm-2.24.3 がインストールできない

サブ環境に gtkmm-2.24.3 を入れようとしたらエラーになったのでメモ。

新しいバージョンになったからか、gsed が無いとビルドできないっぽい。

make[2]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_x11_gtkmm/gtkmm/work/gtkmm-2.24.3/tools' /bin/sh ../libtool --tag=CXX --mode=link /usr/bin/g++-4.2 -Wall -pipe -O2 -arch x86_64 -no-undefined -avoid-version -L/opt/local/lib -arch x86_64 -o extra_defs_gen/generate_extra_defs extra_defs_gen/generate_defs_gtk.o -L/opt/local/lib -latkmm-1.6 -lgiomm-2.4 -lpangomm-1.4 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lgtk-quartz-2.0 -lgdk-quartz-2.0 -framework Cocoa -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lm -lfreetype -lfontconfig -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lintl -lglibmm_generate_extra_defs-2.4 ../libtool: line 1405: /opt/local/bin/gsed: No such file or directory

gsed をインストール。

$ sudo port install gsed

で、進んだと思ったら今度は doxygen で躓く。

/bin/sh: /opt/local/bin/doxygen: No such file or directory
$ sudo port install doxygen

今のところバグレポートは上がってないっぽい。doxygendot command not found が出てたので +latex バリアントでインストールした方がいいかも(面倒だから試してはいない)。